name: sweatathome
description: A new Flutter project.

# The following line prevents the package from being accidentally published to
# pub.dev using `pub publish`. This is preferred for private packages.
publish_to: "none" # Remove this line if you wish to publish to pub.dev

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
version: 1.2.0+1

environment:
  sdk: ">=2.13.0 <3.0.0"

dependencies:
  flutter:
    sdk: flutter

  # The following adds the Cupertino Icons font to your application.
  # Use with the CupertinoIcons class for iOS style icons.
  firebase_core: ^1.6.0
  firebase_auth: ^3.1.0
  tflite: ^1.1.2
  google_sign_in: ^5.0.7
  path_provider: ^2.0.2
  video_player: ^2.1.14
  camera: ^0.9.2+1
  wakelock: ^0.5.3+3
  flutter_spinkit: ^5.1.0
  cloud_firestore: ^2.5.1
  flutter_form_builder: ^6.0.1
  async_builder: ^1.3.0
  picovoice: ^1.1.9
  permission_handler: ^8.1.6
  flutter_tts: ^3.2.2
  
dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_launcher_icons: ^0.9.2

flutter_icons:
  ios: true
  android: true
  image_path_ios: "assets/images/icon.png"
  image_path_android: "assets/images/icon.png"

# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter.
flutter:
  # The following line ensures that the Material Icons font is
  # included with your application, so that you can use the icons in
  # the material Icons class.
  uses-material-design: true

  # To add assets to your application, add an assets section, like this:
  # assets:
  #   - images/a_dot_burr.jpeg
  #   - images/a_dot_ham.jpeg

  assets:
    - assets/images/
    - assets/exercises/
    - assets/model/posenet.tflite
    - assets/model/movenet.tflite
    - assets/model/movenet_fl32.tflite
    - assets/assistant/jarvis_android.ppn
    - assets/assistant/intent.rhn

  fonts:
    - family: Amatic
      fonts:
        - asset: assets/font/Amatic-Regular.ttf
    - family: Raleway
      fonts:
        - asset: assets/font/Raleway-Regular.ttf

